<script>
const getOptionsyId = (id) => {


    const resposta = JSON.parse(OptionsMap).find((item) => {
      return item.id === parseInt(id)
    });
   
    
    return resposta
    
    }
    function getType(){
  var type = '<%- invitetype %>'
return type
}

function invitetypechange(){

var inviteType = document.getElementById('invitetype')
var inviteInvitesCountRow = document.getElementById('linhaDiv')

var inviteUniqueSystem = document.getElementById('convitesDiv')
var selectedType = document.getElementById('selectType')

switch(inviteType.value){
case '0':
    inviteInvitesCountRow.hidden = false
  
    inviteUniqueSystem.hidden = true
break
case '1':
    inviteInvitesCountRow.hidden = false

    inviteUniqueSystem.hidden = false
   
break
case '2':
  
    inviteInvitesCountRow.hidden = true
  
    inviteUniqueSystem.hidden = true
  
    
break
}

    selectedType.innerHTML = 'Tipo selecionado: ' + getOptionsyId(inviteType.value).descricao


}


function setInviteType(type){
 var inviteType = document.getElementById('invitetype')
          inviteType.value = type
          invitetypechange()
      
}
</script>